I always get these errors when installing electron?


#1

I always get these errors while trying to install electron -
I tried (npm install electron) and (npm install electron-prebuilt)
both give me the same errors
my OS : windows 7 and I have the latest version of nodeJS (7.7.1)


#2

It’s your internet connection, the download gets cut off before it’s done, try again later, try another network, or try a VPN.


#3

are you sure ?
the network error type is always be “ECONNECTOUT” or "ECONNECTRESET"
not “ELIFECYCLE”


#4

any other option to download the electron packages and install manually
without using npm commands